Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » The requested resource (BridgeServlet: /application/rap) is not available.
The requested resource (BridgeServlet: /application/rap) is not available. [message #532530] Mon, 10 May 2010 11:56 Go to next message
Tobias Semmet is currently offline Tobias Semmet
Messages: 37
Registered: July 2009
Member
Hi.

I' ve build my war-file out of my RAP-Application with no error, i've deployed to tomcat, no error.

When i start the application like localhost:8080/application/rap?view=startup for example i got following error :

HTTP Status 404 - BridgeServlet: /application/rap

type Status report

message BridgeServlet: /application/rap

description The requested resource (BridgeServlet: /application/rap) is not available.

What's the problem ?

Is there a new servletbridge.jar when i use eclipse 3.3 ?

Thanks
Tobias

[Updated on: Mon, 10 May 2010 11:56]

Report message to a moderator

Re: The requested resource (BridgeServlet: /meizei/rap) is not available. [message #532535 is a reply to message #532530] Mon, 10 May 2010 12:10 Go to previous messageGo to next message
Ivan Furnadjiev is currently offline Ivan Furnadjiev
Messages: 1846
Registered: July 2009
Senior Member
Hi Tobias,

there are a lot of threads in the newsgroup related to WAR deployment
problems... just search for them. Enable the osgi console in web.xml for
easy troubleshooting. Use ss osgi command in the console to list all
bundles and their launch status. Check that all needed bundles and their
dependencies are successfully exported.

HTH,
Ivan

On 05/10/2010 2:56 PM, Tobias Semmet wrote:
> Hi.
>
> I' ve build my war-file out of my RAP-Application with no error, i've
> deployed to tomcat, no error.
> When i start the application like
> localhost:8080/application/rap?view=startup for example i got
> following error :
>
> HTTP Status 404 - BridgeServlet: /application/rap
>
> type Status report
>
> message BridgeServlet: /application/rap
>
> description The requested resource (BridgeServlet: /application/rap)
> is not available.
>
> What's the problem ?
>
> Is there a new servletbridge.jar when i use eclipse 3.3 ?
>
> Thanks
> Tobias
Re: The requested resource (BridgeServlet: /meizei/rap) is not available. [message #532585 is a reply to message #532535] Mon, 10 May 2010 14:10 Go to previous messageGo to next message
Tobias Semmet is currently offline Tobias Semmet
Messages: 37
Registered: July 2009
Member
Sorry,
but i've no idea Sad No Log file nothing, how could i get log-files ?

And i've searched, but i can't find any information in this forum,
Re: The requested resource (BridgeServlet: /meizei/rap) is not available. [message #532590 is a reply to message #532585] Mon, 10 May 2010 14:22 Go to previous messageGo to next message
Ivan Furnadjiev is currently offline Ivan Furnadjiev
Messages: 1846
Registered: July 2009
Senior Member
Hi Tobias,

as a starting point... how did you built your war file? Are you using
the RAP Developer Guide -> WAR Deployment article in the Eclipse help [1]?

[1]
http://help.eclipse.org/galileo/topic/org.eclipse.rap.help/h elp/html/advanced/deployment.html

Best,
Ivan

On 05/10/2010 5:10 PM, Tobias Semmet wrote:
> Sorry, but i've no idea :( No Log file nothing, how could i get
> log-files ?
>
> And i've searched, but i can't find any information in this forum,
Re: The requested resource (BridgeServlet: /meizei/rap) is not available. [message #532599 is a reply to message #532585] Mon, 10 May 2010 14:37 Go to previous messageGo to next message
Rüdiger Herrmann is currently offline Rüdiger Herrmann
Messages: 565
Registered: July 2009
Senior Member
Did you check the FAQ?
http://wiki.eclipse.org/RAP/FAQ#Exported_WAR_file_does_not_w ork

The forum can be searched here:
http://www.eclipse.org/forums/index.php?t=thread&frm_id= 34&

On 10.05.2010 16:10, Tobias Semmet wrote:
> Sorry, but i've no idea :( No Log file nothing, how could i get log-files ?
>
> And i've searched, but i can't find any information in this forum,
Re: The requested resource (BridgeServlet: /meizei/rap) is not available. [message #532734 is a reply to message #532599] Tue, 11 May 2010 05:52 Go to previous messageGo to next message
Tobias Semmet is currently offline Tobias Semmet
Messages: 37
Registered: July 2009
Member
Hi,

thanks for the links.

if i typ ss in the OSGI-Console there are only two bundels:

org.eclipse.osgi & osgi.eclipse.equinox.common and both are active

before starting the export via deployable feature i have playced the update.conifgurer in the plungins folder and the servletbridge.jar in the lib folder under the WEB-INF folder where my export will be exported to.

WEB-INF
--> eclipse
---> plugins
---> update.configurer
---> configuartion
--> config.ini
--> lib
--> servletbrigde.jar

In my feature project are the following bundels included.

com.ibm.icu.base(0.0.0)
meizei(0.0.0) <-- this is my rap-application
org.eclipse.core.commands(0.0.0)
org.eclipse.core.contenttype(0.0.0)
org.eclipse.core.databinding(0.0.0)
org.eclipse.core.databinding.beans(0.0.0)
org.eclipse.core.databinding.observable(0.0.0)
org.eclipse.core.databinding.property(0.0.0)
org.eclipse.core.expressions(0.0.0)
org.eclipse.core.jobs(0.0.0)
org.eclipse.core.runtime(0.0.0)
org.eclipse.equinox.app(0.0.0)
org.eclipse.equinox.common(0.0.0)
org.eclipse.equinox.http.registry(0.0.0)
org.eclipse.equinox.http.servlet(0.0.0)
org.eclipse.equinox.preferences(0.0.0)
org.eclipse.equinox.registry(0.0.0)
org.eclipse.osgi(0.0.0)
org.eclipse.osgi.services(0.0.0)
org.eclipse.rap.jface(0.0.0)
org.eclipse.rap.jface.databinding(0.0.0)
org.eclipse.rap.rwt(0.0.0)
org.eclipse.rap.ui(0.0.0)
org.eclipse.rap.ui.forms(0.0.0)
org.eclipse.rap.ui.views(0.0.0)
org.eclipse.rap.ui.workbench(0.0.0)

where is the problem ?

Re: The requested resource (BridgeServlet: /meizei/rap) is not available. [message #532752 is a reply to message #532734] Tue, 11 May 2010 06:43 Go to previous messageGo to next message
Rüdiger Herrmann is currently offline Rüdiger Herrmann
Messages: 565
Registered: July 2009
Senior Member
please carefully read the tutorial and the FAQ. It clearly states: do
*not* use update.configurator.

On 11.05.2010 07:52, Tobias Semmet wrote:
> Hi,
>
> thanks for the links.
>
> if i typ ss in the OSGI-Console there are only two bundels:
>
> org.eclipse.osgi & osgi.eclipse.equinox.common and both are active
>
> before starting the export via deployable feature i have playced the
> update.conifgurer in the plungins folder and the servletbridge.jar in
> the lib folder under the WEB-INF folder where my export will be exported
> to.
>
> WEB-INF
> --> eclipse
> ---> plugins
> ---> update.configurer
> ---> configuartion
> --> config.ini
> --> lib
> --> servletbrigde.jar
>
> In my feature project are the following bundels included.
>
> com.ibm.icu.base(0.0.0)
> meizei(0.0.0) <-- this is my rap-application
> org.eclipse.core.commands(0.0.0)
> org.eclipse.core.contenttype(0.0.0)
> org.eclipse.core.databinding(0.0.0)
> org.eclipse.core.databinding.beans(0.0.0)
> org.eclipse.core.databinding.observable(0.0.0)
> org.eclipse.core.databinding.property(0.0.0)
> org.eclipse.core.expressions(0.0.0)
> org.eclipse.core.jobs(0.0.0)
> org.eclipse.core.runtime(0.0.0)
> org.eclipse.equinox.app(0.0.0)
> org.eclipse.equinox.common(0.0.0)
> org.eclipse.equinox.http.registry(0.0.0)
> org.eclipse.equinox.http.servlet(0.0.0)
> org.eclipse.equinox.preferences(0.0.0)
> org.eclipse.equinox.registry(0.0.0)
> org.eclipse.osgi(0.0.0)
> org.eclipse.osgi.services(0.0.0)
> org.eclipse.rap.jface(0.0.0)
> org.eclipse.rap.jface.databinding(0.0.0)
> org.eclipse.rap.rwt(0.0.0)
> org.eclipse.rap.ui(0.0.0)
> org.eclipse.rap.ui.forms(0.0.0)
> org.eclipse.rap.ui.views(0.0.0)
> org.eclipse.rap.ui.workbench(0.0.0)
>
> where is the problem ?
>
>


--
Rüdiger Herrmann
http://eclipsesource.com
Re: The requested resource (BridgeServlet: /meizei/rap) is not available. [message #532881 is a reply to message #532752] Tue, 11 May 2010 13:12 Go to previous messageGo to next message
Tobias Semmet is currently offline Tobias Semmet
Messages: 37
Registered: July 2009
Member
without the update.configurer the same problem Sad
Re: The requested resource (BridgeServlet: /meizei/rap) is not available. [message #532888 is a reply to message #532881] Tue, 11 May 2010 13:17 Go to previous messageGo to next message
Benjamin Muskalla is currently offline Benjamin Muskalla
Messages: 338
Registered: July 2009
Senior Member
Did you generate the config.ini as stated in the documentation?

Tobias Semmet wrote:
> without the update.configurer the same problem :(


--
Benjamin Muskalla | EclipseSource Karlsruhe
http://www.eclipsesource.com | http://twitter.com/eclipsesource
Re: The requested resource (BridgeServlet: /meizei/rap) is not available. [message #532891 is a reply to message #532888] Tue, 11 May 2010 13:36 Go to previous messageGo to next message
Tobias Semmet is currently offline Tobias Semmet
Messages: 37
Registered: July 2009
Member
This is my config.ini

osgi.bundles=org.eclipse.equinox.common@2:start,
org.eclipse.equinox.http.servletbridge@start,
org.eclipse.equinox.http.registry@start,
meizei_feature@start
osgi.bundles.defaultStartLevel=4
Re: The requested resource (BridgeServlet: /meizei/rap) is not available. [message #532894 is a reply to message #532891] Tue, 11 May 2010 13:41 Go to previous messageGo to next message
Benjamin Muskalla is currently offline Benjamin Muskalla
Messages: 338
Registered: July 2009
Senior Member
The config.ini is for *bundles*, not features. OSGi has no clue about
what a feature is. Use the ConfigIniCreator to produce a config.ini
which lists all your bundles.

As said before, please read
http://help.eclipse.org/galileo/topic/org.eclipse.rap.help/h elp/html/advanced/deployment.html
which explains how to generate the config.ini

Regards,
Benny

Tobias Semmet wrote:
> This is my config.ini
>
> osgi.bundles=mailto:org.eclipse.equinox.common@2:start,
> mailto:org.eclipse.equinox.http.servletbridge@start,
> mailto:org.eclipse.equinox.http.registry@start,
> mailto:meizei_feature@start
> osgi.bundles.defaultStartLevel=4


--
Benjamin Muskalla | EclipseSource Karlsruhe
http://www.eclipsesource.com | http://twitter.com/eclipsesource
Re: The requested resource (BridgeServlet: /meizei/rap) is not available. [message #532899 is a reply to message #532894] Tue, 11 May 2010 14:01 Go to previous messageGo to next message
Tobias Semmet is currently offline Tobias Semmet
Messages: 37
Registered: July 2009
Member
Ok my config.ini looks like :

#Eclipse Runtime Configuration File
osgi.bundles=
meizei_1.0.0.jar@start,
com.ibm.icu.base_4.0.1.v20090822.jar@start,
org.eclipse.core.commands_3.5.0.I20090525-2000.jar@start,
org.eclipse.core.contenttype_3.4.1.R35x_v20090826-0451.jar@start,
org.eclipse.core.databinding_1.2.0.M20090819-0800.jar@start,
org.eclipse.core.databinding.beans_1.2.0.I20090525-2000.jar@start,
org.eclipse.core.databinding.observable_1.2.0.M20090902-0800 .jar @start,
org.eclipse.core.databinding.property_1.2.0.M20090819-0800.j ar @start,
org.eclipse.core.expressions_3.4.100.v20090429-1800.jar@start,
org.eclipse.core.jobs_3.4.100.v20090429-1800.jar@start,
org.eclipse.core.runtime_3.5.0.v20090525.jar@start,
org.eclipse.equinox.app_1.2.1.R35x_v20091203.jar@start,
org.eclipse.equinox.common_3.5.1.R35x_v20090807-1100.jar@2:start,
org.eclipse.equinox.http.registry_1.0.200.v20090520-1800.jar @start,
org.eclipse.equinox.http.servlet_1.0.200.v20090520-1800.jar@start,
org.eclipse.equinox.preferences_3.2.301.R35x_v20091117.jar@start,
org.eclipse.equinox.registry_3.4.100.v20090520-1800.jar@start,
org.eclipse.osgi.services_3.2.0.v20090520-1800.jar@start,
org.eclipse.rap.jface_1.2.2.20100126-1119.jar@start,
org.eclipse.rap.jface.databinding_1.2.2.20100126-1119.jar@start,
org.eclipse.rap.rwt_1.2.2.20100126-1119.jar@start,
org.eclipse.rap.ui_1.2.2.20100126-1119.jar@start,
org.eclipse.rap.ui.forms_1.2.2.20100126-1119.jar@start,
org.eclipse.rap.ui.views_1.2.2.20100126-1119.jar@start,
org.eclipse.rap.ui.workbench_1.2.2.20100126-1119.jar@start
osgi.bundles.defaultStartLevel=4

but the same result

now, in the osgi-console is only

org-eclipse.osgi_3.5.2....

after called <ss>

the org.eclipse.equinox.servletbridge.extensionbundle_1.0.0.jar is only 1kb

[Updated on: Tue, 11 May 2010 14:09]

Report message to a moderator

Re: The requested resource (BridgeServlet: /meizei/rap) is not available. [message #532905 is a reply to message #532899] Tue, 11 May 2010 14:14 Go to previous messageGo to next message
Ivan Furnadjiev is currently offline Ivan Furnadjiev
Messages: 1846
Registered: July 2009
Senior Member
Hi Tobias,

bundle version number must be striped. Here is an example how it should
look like:
#Eclipse Runtime Configuration File
osgi.bundles=com.ibm.icu.base@start,\
org.eclipse.core.commands@start,\
org.eclipse.core.contenttype@start,\
org.eclipse.core.databinding@start,\
org.eclipse.core.databinding.observable@start,\
org.eclipse.core.databinding.property@start,\
org.eclipse.core.expressions@start,\
org.eclipse.core.jobs@start,\
org.eclipse.core.runtime@start,\
org.eclipse.equinox.app@start,\
org.eclipse.equinox.common@2:start,\
org.eclipse.equinox.http.registry@start,\
org.eclipse.equinox.http.servletbridge@start,\
org.eclipse.equinox.http.servlet@start,\
org.eclipse.equinox.preferences@start,\
org.eclipse.equinox.registry@start,\
org.eclipse.osgi.services@start,\
org.eclipse.help@start,\
org.eclipse.rap.demo@start,\
org.eclipse.rap.jface.databinding@start,\
org.eclipse.rap.jface@start,\
org.eclipse.rap.rwt.q07,\
org.eclipse.rap.rwt@start,\
org.eclipse.rap.tutorial.rap@start,\
org.eclipse.rap.tutorial@start,\
org.eclipse.rap.ui.views@start,\
org.eclipse.rap.ui.workbench@start,\
org.eclipse.rap.ui@start,\
org.eclipse.equinox.servletbridge.extensionbundle
osgi.bundles.defaultStartLevel=4
As Benny suggested, use this guide (
http://help.eclipse.org/galileo/topic/org.eclipse.rap.help/h elp/html/advanced/deployment.html
) how to generate the config.ini from your feature.

Best,
Ivan

On 05/11/2010 5:01 PM, Tobias Semmet wrote:
> Ok my config.ini looks like :
>
> #Eclipse Runtime Configuration File
> osgi.bundles=
> mailto:meizei_1.0.0.jar@start,
> mailto:com.ibm.icu.base_4.0.1.v20090822.jar@start,
> mailto:org.eclipse.core.commands_3.5.0.I20090525-2000.jar@start,
> mailto:org.eclipse.core.contenttype_3.4.1.R35x_v20090826-0451.jar@start,
> mailto:org.eclipse.core.databinding_1.2.0.M20090819-0800.jar@start,
> mailto:org.eclipse.core.databinding.beans_1.2.0.I20090525-2000.jar@start,
> mailto: org.eclipse.core.databinding.observable_1.2.0.M20090902-0800 .jar @start,
>
> mailto: org.eclipse.core.databinding.property_1.2.0.M20090819-0800.j ar @start,
>
> mailto:org.eclipse.core.expressions_3.4.100.v20090429-1800.jar@start,
> mailto:org.eclipse.core.jobs_3.4.100.v20090429-1800.jar@start,
> mailto:org.eclipse.core.runtime_3.5.0.v20090525.jar@start,
> mailto:org.eclipse.equinox.app_1.2.1.R35x_v20091203.jar@start,
> mailto:org.eclipse.equinox.common_3.5.1.R35x_v20090807-1100.jar@2:start,
> mailto: org.eclipse.equinox.http.registry_1.0.200.v20090520-1800.jar @start,
>
> mailto:org.eclipse.equinox.http.servlet_1.0.200.v20090520-1800.jar@start,
> mailto:org.eclipse.equinox.preferences_3.2.301.R35x_v20091117.jar@start,
> mailto:org.eclipse.equinox.registry_3.4.100.v20090520-1800.jar@start,
> mailto:org.eclipse.osgi.services_3.2.0.v20090520-1800.jar@start,
> mailto:org.eclipse.rap.jface_1.2.2.20100126-1119.jar@start,
> mailto:org.eclipse.rap.jface.databinding_1.2.2.20100126-1119.jar@start,
> mailto:org.eclipse.rap.rwt_1.2.2.20100126-1119.jar@start,
> mailto:org.eclipse.rap.ui_1.2.2.20100126-1119.jar@start,
> mailto:org.eclipse.rap.ui.forms_1.2.2.20100126-1119.jar@start,
> mailto:org.eclipse.rap.ui.views_1.2.2.20100126-1119.jar@start,
> mailto:org.eclipse.rap.ui.workbench_1.2.2.20100126-1119.jar@start
> osgi.bundles.defaultStartLevel=4
>
> but the same result
> now, in the osgi-console is only
> org-eclipse.osgi_3.5.2....
>
> after called <ss>
Re: The requested resource (BridgeServlet: /meizei/rap) is not available. [message #533045 is a reply to message #532905] Wed, 12 May 2010 06:39 Go to previous messageGo to next message
Tobias Semmet is currently offline Tobias Semmet
Messages: 37
Registered: July 2009
Member
so next problem Sad

i've deployed the war file...

there are 27 Bundles plus osgi bundle if i call ss in the osgi console.

and the servletbridge.extensionbundle is resolved

but the application does not start always the same massge :

HTTP Status 404 - BridgeServlet: /application/rap

type Status report

message BridgeServlet: /application/rap

description The requested resource (BridgeServlet: /application/rap) is not available.

i saw a problem in the plugins folder inn work/catalina/localhost/...

there are two :

org.eclipse.equinox.http.servlet_1.0.0 and
org.eclipse.equinox.http.servlet_1.0.200.v20090520-1800

also there are two :

org.eclipse.equinox.servletbridge_1.0.0 and
org.eclipse.equinox.servletbridge_1.1.0

but i don't know why there are two of them Sad

i need some help Sad

why there are no exceptions or error messages, also the log files of tomcat are nearly empty (no error messages)
Re: The requested resource (BridgeServlet: /meizei/rap) is not available. [message #533076 is a reply to message #533045] Wed, 12 May 2010 07:54 Go to previous messageGo to next message
Ivan Furnadjiev is currently offline Ivan Furnadjiev
Messages: 1846
Registered: July 2009
Senior Member
Hi Tobias,

please post the output of ss command and your config.ini file.

Best,
Ivan

On 05/12/2010 9:39 AM, Tobias Semmet wrote:
> so next problem :(
>
> i've deployed the war file...
>
> there are 27 Bundles plus osgi bundle if i call ss in the osgi console.
>
> and the servletbridge.extensionbundle is resolved
>
> but the application does not start always the same massge :
>
> HTTP Status 404 - BridgeServlet: /application/rap
>
> type Status report
>
> message BridgeServlet: /application/rap
>
> description The requested resource (BridgeServlet: /application/rap)
> is not available.
>
> i saw a problem in the plugins folder inn work/catalina/localhost/...
>
> there are two :
>
> org.eclipse.equinox.http.servlet_1.0.0 and
> org.eclipse.equinox.http.servlet_1.0.200.v20090520-1800
>
> also there are two :
>
> org.eclipse.equinox.servletbridge_1.0.0 and
> org.eclipse.equinox.servletbridge_1.1.0
>
> but i don't know why there are two of them :(
>
> i need some help :(
>
> why there are no exceptions or error messages, also the log files of
> tomcat are nearly empty (no error messages)
Re: The requested resource (BridgeServlet: /meizei/rap) is not available. [message #533085 is a reply to message #533045] Wed, 12 May 2010 08:05 Go to previous messageGo to next message
Rüdiger Herrmann is currently offline Rüdiger Herrmann
Messages: 565
Registered: July 2009
Senior Member
did you try to cleanly re-deploy the whole thing? I.e. delete the entire
web-app and the work folder before deploying again?

HTH
Rüdiger


On 12.05.2010 08:39, Tobias Semmet wrote:
> so next problem :(
>
> i've deployed the war file...
>
> there are 27 Bundles plus osgi bundle if i call ss in the osgi console.
>
> and the servletbridge.extensionbundle is resolved
>
> but the application does not start always the same massge :
>
> HTTP Status 404 - BridgeServlet: /application/rap
>
> type Status report
>
> message BridgeServlet: /application/rap
>
> description The requested resource (BridgeServlet: /application/rap) is
> not available.
>
> i saw a problem in the plugins folder inn work/catalina/localhost/...
>
> there are two :
>
> org.eclipse.equinox.http.servlet_1.0.0 and
> org.eclipse.equinox.http.servlet_1.0.200.v20090520-1800
>
> also there are two :
>
> org.eclipse.equinox.servletbridge_1.0.0 and
> org.eclipse.equinox.servletbridge_1.1.0
>
> but i don't know why there are two of them :(
>
> i need some help :(
>
> why there are no exceptions or error messages, also the log files of
> tomcat are nearly empty (no error messages)


--
Rüdiger Herrmann
http://eclipsesource.com
Re: The requested resource (BridgeServlet: /meizei/rap) is not available. [message #533792 is a reply to message #533076] Mon, 17 May 2010 06:29 Go to previous messageGo to next message
Tobias Semmet is currently offline Tobias Semmet
Messages: 37
Registered: July 2009
Member
Hi Ivan :

my config.ini :

#Eclipse Runtime Configuration File
osgi.bundles=org.eclipse.core.contenttype@start,\
org.eclipse.core.databinding@start,\
org.eclipse.core.databinding.beans@start,\
org.eclipse.core.databinding.observable@start,\
org.eclipse.core.databinding.property@start,\
org.eclipse.core.expressions@start,\
org.eclipse.core.jobs@start,\
org.eclipse.core.runtime@start,\
org.eclipse.equinox.app@start,\
org.eclipse.equinox.common@2:start,\
org.eclipse.equinox.http.registry@start,\
org.eclipse.equinox.http.servlet@start,\
org.eclipse.equinox.preferences@start,\
org.eclipse.equinox.registry@start,\
org.eclipse.osgi.services@start,\
org.eclipse.rap.jface@start,\
org.eclipse.rap.jface.databinding@start,\
org.eclipse.rap.rwt@start,\
org.eclipse.rap.ui@start,\
org.eclipse.rap.ui.forms@start,\
org.eclipse.rap.ui.views@start,\
org.eclipse.rap.ui.workbench@start,\
meizei@start,\
com.ibm.icu.base@start,\
org.eclipse.core.commands@start,\
org.eclipse.equinox.http.servletbridge@start,\
org.eclipse.equinox.servletbridge.extensionbundle
osgi.bundles.defaultStartLevel=4

and the output of the osgi.console :

0 ACTIVE org.eclipse.osgi_3.5.2.R35x_v20100105
Fragements=27
1 ACTIVE org.eclipse.core.contenttype_3.4.1.R35x_v20090826-0451
2 ACTIVE org.eclipse.core.databinding_1.2.0.M20090819-0800
3 ACTIVE org.eclipse.core.databinding.beans_1.2.0.I20090525-2000
4 ACTIVE org.eclipse.core.databinding.observable_1.2.0.M20090902-0800
5 ACTIVE org.eclipse.core.databinding.property_1.2.0.M20090819-0800
6 ACTIVE org.eclipse.core.expressions_3.4.100.v20090429-1800
7 ACTIVE org.eclipse.core.jobs_3.4.100.v20090429-1800
8 ACTIVE org.eclipse.core.runtime_3.5.0.v20090525
9 ACTIVE org.eclipse.equinox.app_1.2.1.R25x_v20091203
10 ACTIVE org.eclipse.equinox.common_3.5.1.R25x_v20090807-1100
11 ACTIVE org.eclipse.equinox.http.registry_1.0.200.v20090520-1800
12 ACTIVE org.eclipse.equinox.http.servlet_1.0.200.v20090520-1800
13 ACTIVE org.eclipse.equinox.preferences_3.2.301.R25x_v20091117
14 ACTIVE org.eclipse.equinox.registry_3.4.100.v20090520-1800
15 ACTIVE org.eclipse.osgi.services_3.2.0.v20090520-1800
16 ACTIVE org.eclpise.rap.jface_1.2.2.20100126-1119
17 ACTIVE org.eclpise.rap.jface.databinding_1.2.2.20100126-1119
18 ACTIVE org.eclpise.rap.rwt_1.2.2.20100126-1119
19 ACTIVE org.eclpise.rap.ui_1.2.2.20100126-1119
20 ACTIVE org.eclpise.rap.ui.forms_1.2.2.20100126-1119
21 ACTIVE org.eclpise.rap.ui.view_1.2.2.20100126-1119
22 ACTIVE org.eclpise.rap.ui.workbench_1.2.2.20100126-1119
23 ACTIVE meizei_1.0.0.20100512
24 ACTIVE com.ibm.icu.base_4.0.1.v20090822
25 ACTIVE org.eclipse.core.commands_3.5.0.I20090525-2000
26 ACTIVE org.eclipse.equinox.http.servletbridge_1.0.0
27 RESOLVED org.eclipse.equinox.servletbridge.exctensionbundle_1.0.0
Master=0


thanks for helping Smile
Re: The requested resource (BridgeServlet: /application/rap) is not available. [message #692647 is a reply to message #532530] Mon, 04 July 2011 23:44 Go to previous message
Pravat  is currently offline Pravat
Messages: 4
Registered: July 2011
Junior Member
i had the same problem. In my case this was resolved after
1. I added proper contents into config.ini using configIniCreator.java
2. undeployed and cleaned my tomcat work dir
3. created a fresh war and redeployed
you can try the same... might help you as well
Previous Topic:Problem with browser navigation in IE
Next Topic:Text widget scrollbars problem - Firefox
Goto Forum:
  


Current Time: Thu Oct 30 15:12:18 GMT 2014

Powered by FUDForum. Page generated in 0.05896 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software